## tdebindings-trinity 14.2.0~pre75

=== debian/changelog ===
tdebindings-trinity (4:14.2.0~pre75-0ubuntu24.10.0+7) oracular; urgency=low

  * Automated git build for 4530d85f05a2adef5818201222012643cea774b4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebindings

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Aug 2025 04:20:55 +0200
