## tdebindings-trinity 14.2.0~pre76

=== debian/changelog ===
tdebindings-trinity (4:14.2.0~pre76-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for 58548dd0fc871a28103089336dfb08db88d811b2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebindings

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Dec 2025 03:07:22 +0100
