## tdebindings-trinity 14.2.0~pre77

=== debian/changelog ===
tdebindings-trinity (4:14.2.0~pre77-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for 250ea483cb55317194d02c0f804375e79c7ed1ee
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebindings

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 30 Dec 2025 15:20:05 +0100
