## tdebindings-trinity 14.2.0~pre78

=== debian/changelog ===
tdebindings-trinity (4:14.2.0~pre78-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for 3bd45bb8f312c54b3842019d53f8624d85ff4525
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebindings

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:13:35 +0100
