## tdebindings-trinity 14.2.0~pre80

=== debian/changelog ===
tdebindings-trinity (4:14.2.0~pre80-0ubuntu22.04.0+8) jammy; urgency=low

  * Automated git build for 6607af611a97dc76aa001ebbe22c9b8207cfad46
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebindings

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:14:22 +0100
