## tdebindings-trinity 14.2.0~pre81

=== debian/changelog ===
tdebindings-trinity (4:14.2.0~pre81-0debian11.0.0+8) bullseye; urgency=low

  * Automated git build for b4ad3d61df0e3e9a342d3d32ae215c6e8a28110f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebindings

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:13:36 +0100
