=== debian/control ===
--- 
+++ 
@@ -42,8 +42,8 @@
 Package: tdebindings-java-trinity
 Section: libs
 Architecture: all
-Replaces: kdebindings-java-kde3 (<< 4:14.0.0~), kdebindings-java-trinity (<< 4:14.0.0~)
-Breaks: kdebindings-java-kde3 (<< 4:14.0.0~), kdebindings-java-trinity (<< 4:14.0.0~)
+Replaces: kdebindings-java-trinity (<< 4:14.0.0~)
+Breaks: kdebindings-java-trinity (<< 4:14.0.0~)
 Depends: libdcop3-java-trinity (= ${source:Version}), libqt3-java-trinity (= ${source:Version}), libtrinity-java-trinity (= ${source:Version})
 Description: TDE Java bindings metapackage [Trinity]
  A metapackage depending on all TDE, Qt and DCOP bindings libraries
@@ -54,8 +54,8 @@
 Package: libdcop3-java-trinity
 Architecture: all
 Section: libs
-Replaces: libdcop3-java-kde3 (<< 4:14.0.0~), libdcop3-java-trinity (<< 4:14.0.0~)
-Breaks: libdcop3-java-kde3 (<< 4:14.0.0~), libdcop3-java-trinity (<< 4:14.0.0~)
+Replaces: libdcop3-java-trinity (<< 4:14.0.0~)
+Breaks: libdcop3-java-trinity (<< 4:14.0.0~)
 Depends: libdcop3-jni-trinity (>> ${TDE-Version3}~), libdcop3-jni-trinity (<< ${TDE-Next-Version3}~), gij | java1-runtime | java2-runtime
 Description: DCOP bindings for Java [Trinity]
  This package contains the Java classes necessary to run Java programs
@@ -67,8 +67,8 @@
 Package: libdcop3-jni-trinity
 Architecture: amd64 i386 armel armhf arm64 mipsel ia64 powerpc ppc64el riscv64 loong64 s390 sparc
 Section: libs
-Replaces: libdcop3-jni-kde3 (<< 4:14.0.0~), libdcop3-jni-trinity (<< 4:14.0.0~)
-Breaks: libdcop3-jni-kde3 (<< 4:14.0.0~), libdcop3-jni-trinity (<< 4:14.0.0~)
+Replaces: libdcop3-jni-trinity (<< 4:14.0.0~)
+Breaks: libdcop3-jni-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: DCOP bindings for Java ( Native libraries ) [Trinity]
  This package contains the shared libraries and scripts necessary to
@@ -81,8 +81,8 @@
 Package: libdcop3-java-trinity-dev
 Architecture: amd64 i386 armel armhf arm64 mipsel ia64 powerpc ppc64el riscv64 loong64 s390 sparc
 Section: libdevel
-Replaces: libdcop3-java-kde3-dev (<< 4:14.0.0~), libdcop3-java-trinity-dev (<< 4:14.0.0~)
-Breaks: libdcop3-java-kde3-dev (<< 4:14.0.0~), libdcop3-java-trinity-dev (<< 4:14.0.0~)
+Replaces: libdcop3-java-trinity-dev (<< 4:14.0.0~)
+Breaks: libdcop3-java-trinity-dev (<< 4:14.0.0~)
 Depends: libdcop3-java-trinity (>> ${TDE-Version3}~), libdcop3-java-trinity (<< ${TDE-Next-Version3}~)
 Description: DCOP bindings for Java (dcopidl2java program) [Trinity]
  This package contains the dcopidl2java program which generates Java 
@@ -95,8 +95,8 @@
 Package: libqt3-java-trinity
 Architecture: all
 Section: libs
-Replaces: libqt3-java-kde3 (<< 4:14.0.0~), libqt3-java-trinity (<< 4:14.0.0~)
-Breaks: libqt3-java-kde3 (<< 4:14.0.0~), libqt3-java-trinity (<< 4:14.0.0~)
+Replaces: libqt3-java-trinity (<< 4:14.0.0~)
+Breaks: libqt3-java-trinity (<< 4:14.0.0~)
 Depends: libqt3-jni-trinity (>> ${TDE-Version3}~), libqt3-jni-trinity (<< ${TDE-Next-Version3}~), gij | java1-runtime | java2-runtime
 Suggests: juic-trinity
 Description: Java bindings for Qt [Trinity]
@@ -112,8 +112,8 @@
 Package: libqt3-jni-trinity
 Architecture: amd64 i386 armel armhf arm64 mipsel ia64 powerpc ppc64el riscv64 loong64 s390 sparc
 Section: libs
-Replaces: libqt3-jni-kde3 (<< 4:14.0.0~), libqt3-jni-trinity (<< 4:14.0.0~)
-Breaks: libqt3-jni-kde3 (<< 4:14.0.0~), libqt3-jni-trinity (<< 4:14.0.0~)
+Replaces: libqt3-jni-trinity (<< 4:14.0.0~)
+Breaks: libqt3-jni-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: Java bindings for Qt ( Native libraries ) [Trinity]
  This package contains the shared libraries necessary to run Java
@@ -125,8 +125,8 @@
 Package: libtrinity-java-trinity
 Architecture: all
 Section: libs
-Replaces: libtrinity-java-kde3 (<< 4:14.0.0~), libtrinity-java-trinity (<< 4:14.0.0~)
-Breaks: libtrinity-java-kde3 (<< 4:14.0.0~), libtrinity-java-trinity (<< 4:14.0.0~)
+Replaces: libtrinity-java-trinity (<< 4:14.0.0~)
+Breaks: libtrinity-java-trinity (<< 4:14.0.0~)
 Depends: libtrinity-jni-trinity (>> ${TDE-Version3}~), libtrinity-jni-trinity (<< ${TDE-Next-Version3}~), gij | java1-runtime | java2-runtime
 Description: tdelibs bindings for Java [Trinity]
  This package contains the Java classes necessary to run Java programs
@@ -141,8 +141,8 @@
 Package: libtrinity-jni-trinity
 Architecture: amd64 i386 armel armhf arm64 mipsel ia64 powerpc ppc64el riscv64 loong64 s390 sparc
 Section: libs
-Replaces: libtrinity-jni-kde3 (<< 4:14.0.0~), libtrinity-jni-trinity (<< 4:14.0.0~)
-Breaks: libtrinity-jni-kde3 (<< 4:14.0.0~), libtrinity-jni-trinity (<< 4:14.0.0~)
+Replaces: libtrinity-jni-trinity (<< 4:14.0.0~)
+Breaks: libtrinity-jni-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: tdelibs bindings for java ( Native libraries ) [Trinity]
  This package contains the shared libraries necessary to run Java
@@ -154,8 +154,8 @@
 Package: libsmoketqt1-trinity
 Architecture: any
 Section: libs
-Replaces: libsmokeqt1-kde3 (<< 4:14.0.0~), libsmokeqt1-trinity (<< 4:14.0.0~)
-Breaks: libsmokeqt1-kde3 (<< 4:14.0.0~), libsmokeqt1-trinity (<< 4:14.0.0~)
+Replaces: libsmokeqt1-trinity (<< 4:14.0.0~)
+Breaks: libsmokeqt1-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: SMOKE Binding Library to TQt
  The "Scripting Meta Object Kompiler Engine" library is used by
@@ -167,8 +167,8 @@
 Package: libsmoketqt-trinity-dev
 Architecture: any
 Section: libdevel
-Replaces: libsmokeqt-kde3-dev (<< 4:14.0.0~), libsmokeqt-trinity-dev (<< 4:14.0.0~)
-Breaks: libsmokeqt-kde3-dev (<< 4:14.0.0~), libsmokeqt-trinity-dev (<< 4:14.0.0~)
+Replaces: libsmokeqt-trinity-dev (<< 4:14.0.0~)
+Breaks: libsmokeqt-trinity-dev (<< 4:14.0.0~)
 Depends: libsmoketqt1-trinity (= ${binary:Version})
 Description: SMOKE Binding Library to TQt - Development Files
  The "Scripting Meta Object Kompiler Engine" library is used by
@@ -184,8 +184,8 @@
 Package: libsmoketde1-trinity
 Architecture: any
 Section: libs
-Replaces: libsmokekde1-kde3 (<< 4:14.0.0~), libsmokekde1-trinity (<< 4:14.0.0~)
-Breaks: libsmokekde1-kde3 (<< 4:14.0.0~), libsmokekde1-trinity (<< 4:14.0.0~)
+Replaces: libsmokekde1-trinity (<< 4:14.0.0~)
+Breaks: libsmokekde1-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: SMOKE Binding Library to TDE
  The "Scripting Meta Object Kompiler Engine" library is used by
@@ -197,8 +197,8 @@
 Package: libsmoketde-trinity-dev
 Architecture: any
 Section: libdevel
-Replaces: libsmokekde-kde3-dev (<< 4:14.0.0~), libsmokekde-trinity-dev (<< 4:14.0.0~)
-Breaks: libsmokekde-kde3-dev (<< 4:14.0.0~), libsmokekde-trinity-dev (<< 4:14.0.0~)
+Replaces: libsmokekde-trinity-dev (<< 4:14.0.0~)
+Breaks: libsmokekde-trinity-dev (<< 4:14.0.0~)
 Depends: libsmoketde1-trinity (= ${binary:Version})
 Description: SMOKE Binding Library to TDE - Development Files
  The "Scripting Meta Object Kompiler Engine" library is used by
@@ -227,8 +227,8 @@
 Package: libkjsembed1-trinity
 Architecture: any
 Section: libs
-Replaces: libkjsembed1-kde3 (<< 4:14.0.0~), libkjsembed1-trinity (<< 4:14.0.0~)
-Breaks: libkjsembed1-kde3 (<< 4:14.0.0~), libkjsembed1-trinity (<< 4:14.0.0~)
+Replaces: libkjsembed1-trinity (<< 4:14.0.0~)
+Breaks: libkjsembed1-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: Embedded JavaScript library
  This package contains the shared libraries necessary to run programs
@@ -240,4 +240,31 @@
 Package: libkjsembed-trinity-dev
 Architecture: any
 Section: libdevel
-Replaces: libkjsembed-kde3-dev (<< 4:14.0.0~), libkjsembed-trinity-dev (<< 4:14.0.0~)
+Replaces: libkjsembed-trinity-dev (<< 4:14.0.0~)
+Breaks: libkjsembed-trinity-dev (<< 4:14.0.0~)
+Depends: libkjsembed1-trinity (= ${binary:Version})
+Description: Embedded JavaScript library (Development files)
+ This package contains the header files and symbolic links necessary
+ to develop and compile programs using the KJSEmbed library. This
+ library provides JavaScript embedded scripting facilities to TDE
+ applications.
+ .
+ It also includes lots of example programs that make use of these
+ bindings, plus comprehensive documentation of the bindings.
+ .
+ This package is part of the official TDE bindings module.
+
+Package: kjscmd-trinity
+Architecture: any
+Section: interpreters
+Replaces: kjscmd-trinity (<< 4:14.0.0~)
+Breaks: kjscmd-trinity (<< 4:14.0.0~)
+Depends: ${shlibs:Depends}
+Description: A script interpreter using the TDE JavaScript library
+ This package contains the kjscmd program, which is a standalone
+ JavaScript interpreter using the KJSEmbed library.
+ .
+ This package is part of the official TDE bindings module.
+
+Package: juic-trinity
+Architecture: all
